/**
* Theme Name: Auraletto Theme
* Description: Een custom theme ontwikkeld voor Auraletto.
* Author: <a href="https://groeiexperts.nl/">Groei Experts</a>
* Template: goya
* Version: 1.0.9.4
* Text Domain: auraletto
*/

:root {
    --auraletto-dark-brown: #542F27;
    --auraletto-brown: #8D6557;
    --auralett-grey: #A49E9B;
}

.stofstaal-confirmation {
    margin-top: 80px;
    margin-bottom: 60px;
    text-align: center;
}

.stofstaal-confirmation p:first-child {
    margin-bottom: 16px;
    font-size: 20px;
    font-weight: 500;
    color: black;
}

.stofstaal-confirmation p:nth-child(2) {
    margin-bottom: 32px;
    font-size: 15px;
    font-weight: 400;
    color: #000000CC;
}

.stofstaal-confirmation a {
    display: inline-block;
    border-radius: 8px;
    background: linear-gradient(0deg, #542F27 30%, #8E6558 100%);
    font-size: 14px;
    color: #fff;
    font-weight: 500;
    border: none;
    padding: 11.5px 40px;
}

.stofstaal-confirmation a:hover {
    opacity: 0.82;
}

.stofstaal-intro {
    margin-top: 80px;
    margin-bottom: 60px;
}

.stofstaal-intro h1 {
    font-weight: 500;
    line-height: 1.4;
}

@media (max-width: 767px) {
    .stofstaal-intro h1 {
        font-size: 24px;
    }
}

.stofstaal-intro p {
    color: #000000CC;
}

.stofstaal-chooser {
    display: flex;
    gap: 40px;
    margin-bottom: 100px;
}

.stofstaal-chooser > div:first-child {
    flex: 2;
}

.stofstaal-chooser > div:nth-child(2) {
    flex: 1;
}

.stofstaal-samples {
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    gap: 20px;
}

@media (max-width: 1024px) {
    .stofstaal-samples {
        grid-template-columns: repeat(3, 1fr);
    }
}

@media (max-width: 767px) {
    .stofstaal-chooser {
        flex-direction: column;
    }
    .stofstaal-samples {
        grid-template-columns: repeat(3, 1fr);
    }
}

.stofstaal-samples > div:hover {
    cursor: pointer;
}

.stofstaal-samples img {
    width: 100%;
    aspect-ratio: 3 / 2;
    border-radius: 5px;
    object-fit: cover;
}

.stofstaal-samples h3 {
    margin: 10px 0 0;
    font-size: 14px;
}

.stofstaal-stample.selected {
    border: 3px solid #000;
}

.stofstaal-selection li {
    margin-bottom: 10px;
    display: flex;
    justify-self: space-between;
    align-items: center;
}

.stofstaal-selection img {
    width: 50px;
    height: 50px;
    margin-right: 10px;
    border-radius: 8px;
    object-fit: cover;
}

.stofstaal-selection button {
    border: none;
    color: #542F27;
    background: none;
}

.stofstaal-form {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    gap: 20px;
}

.stofstaal-form-full {
    grid-column: span 2;
}

.stofstaal-form-half {
    grid-column: span 1;
}

.stofstaal-form input[type="text"], .stofstaal-form input[type="email"], .stofstaal-form input[type="tel"] {
    width: 100%;
    border-radius: 8px;
}

.stofstaal-form label {
    display: block;
    /* margin-top: 15px;
    margin-bottom: 5px;
    font-weight: 600; */
}

.stofstaal-form button[type="submit"] {
    width: 100%;
    background: linear-gradient(0deg, #542F27 30%, #8E6558 100%);
    border: none;
    border-radius: 8px;
}

.stofstaal-form button:hover {
    background-color: #542f27cc;
}

.products.show-rating .product_after_shop_loop_price {
    flex-wrap: wrap;
}

.product-usps-loop-catalog {
    width: 100%;
    flex-basis: 100%;
}

.product-usps-loop-catalog ul {
    margin-top: 15px;
}

.hentry .product-usps-loop-catalog ul {
    padding-left: 0;
}

.product-usps-loop-catalog li {
    display: flex;
    justify-content: space-between;
    /* gap: 32px; */
    gap: 10px;
    padding: 16px 0;
    border-top: 1px solid #dee2e6;
}

.product-usps-loop-catalog li:last-child {
    border-bottom: 1px solid #dee2e6;
}

.usp-value {
    text-align: right;
    color: black;
}

@media (max-width: 400px) {
    .product-usps-loop-catalog li {
        flex-direction: column;
        gap: 5px;
    }

    .usp-value {
        text-align: left;
    }
}

.product-shipping-info {
    margin-top: 15px;
    padding: 24px;
    border-radius: 8px;
    border-left: 3px solid #542F27;
    background-color: #f5f5f5;
}

.product-shipping-info .product-usps.product-shipping-usps {
    /* flex-direction: row; */
    /* gap: 15px; */
    /* justify-content: space-between; */
    margin-bottom: 0;
    font-size: 14px;
}

.stock.in-stock {
    display: flex;
    align-items: center;
    gap: 10px;
    width: 100%;
    padding: 15px 15px;
    border: none;
    border-left: 3px solid #542F27;
    background: #f5f5f5;
    border-radius: 8px;
    font-size: 15px;
    color: #3d2b25;
}

.product-shipping-costs, .product-shipping-assembly {
    font-size: 16px;
    font-weight: 500;
    color: #542F27;
}

.product-shipping-assembly {
    margin-bottom: 20px;
}

.product-usps {
    margin-top: 20px;
    margin-bottom: 20px;
    /* color: #2D4B38; */
    font-size: 15px;
    display: flex;
    flex-direction: column;
    gap: 5px;
    margin-bottom: 40px;
    color: black;
}

.cart_item .product-usps {
    margin: 20px 0;
}

.product-usps svg {
    margin-right: 4px;
    color: #542F27;
}


.page-header-regular.single-product .header-spacer {
    display: block;
}

.configurator-cta {
    display: flex;
    flex-direction: column;
    gap: 15px;
    max-width: 290px;
    margin-bottom: 15px;
}

.configurator-cta > a {
    /* display: block; */
    background: linear-gradient(0deg, #542F27 30%, #8E6558 100%);
    color: #fff;
    font-size: 14px;
    font-weight: 500;
    border-radius: 8px;
    border: none;
    padding: 11.5px 40px;
}

.configurator {
    display: flex;
    height: calc(100vh - 73px);
}

body.admin-bar .configurator {
    height: calc(100vh - 73px - var(--wp-admin--admin-bar--height, 32px));
}

.configurator-view {
    display: flex;
    flex: 3;
    position: relative;
}

.configurator-view img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    /* object-fit: contain; */
}

.configurator-view .impression-notice {
    position: absolute;
    bottom: 20px;
    left: 20px;
    /* left: 50%;
    transform: translateX(-50%); */
    background-color: rgba(84, 47, 39, 0.7);
    padding: 20px 35px;
    border-radius: 8px;
    font-size: 16px;
    color: white;
}

.configurator .configurator-gallery .et-icon {
    padding: 4px;
}

.configurator-options {
    flex: 1;
    /* padding: 40px; */
    display: flex;
    flex-direction: column;
    overflow: hidden;
    min-width: 400px;
}

.configurator-options-scroll {
    flex: 1;
    overflow-y: auto;
    padding: 40px;
    /* padding-right: 10px; */
    /* scrollbar-width: none; */
}

.configurator-step {
    margin-bottom: 20px;
}

.configurator-step.hidden {
    display: none;
}

.configurator-step.dependency-hidden {
    display: none;
}

.configurator-step h2 {
    margin-bottom: 18px;
    font-size: 28px;
    line-height: 1.4;
}

.configurator-step-header {
    display: flex;
    justify-content: space-between;
    align-items: flex-end;
    margin-bottom: 10px;
}

.configurator-description {
    margin-bottom: 0;
    font-size: 16px;
    font-weight: 500;
    /* color: #000000CC; */
    color: black;
}

.configurator-info {
    text-decoration: underline;
    cursor: pointer;
}

.configurator-choice {
    margin-bottom: 0;
    font-size: 15px;
    color: #000000CC;
}

.option-group-text {
    display: flex;
    flex-direction: column;
    gap: 0;
    color: black;
}

.price-difference {
    font-size: 13px;
}

.chosen .price-difference {
    display: none;
}

.option-group-text > div {
    border-top: 1px solid #e6e8ea;
    border-left: 1px solid #e6e8ea;
    border-right: 1px solid #e6e8ea;
    padding: 20px;
    font-size: 15px;
    cursor: pointer;
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.option-group-text > div:first-child {
    margin-top: 0;
    border-top-left-radius: 8px;
    border-top-right-radius: 8px;
}

.option-group-text > div:last-child {
    margin-bottom: 0;
    border-bottom-left-radius: 8px;
    border-bottom-right-radius: 8px;
    border-bottom: 1px solid #e6e8ea;
}

.option-group-text > div:hover, .option-group-text > div.chosen, .option-group-text-dropdown > div:last-child > div:hover {
    background-color: #F5F5F5;
}

.option-group-text-dropdown {
    position: relative;
    width: 100%;
    color: black;
}

.option-group-text-dropdown > div:first-child {
    border: 1px solid #e6e8ea;
    padding: 20px;
    font-size: 15px;
    cursor: pointer;
    display: flex;
    justify-content: space-between;
    align-items: center;
    border-radius: 8px;

    position: relative;
}

.option-group-text-dropdown > div:first-child::after {
    content: "▾";
    position: absolute;
    right: 20px;
    top: 50%;
    transform: translateY(-50%);
    font-size: 20px;
    transition: transform 0.25s ease;
}

.option-group-text-dropdown > div:last-child {
    position: absolute;
    top: 100%;
    left: 0;
    right: 0;
    border: 1px solid #e6e8ea;
    border-top: none;
    background-color: white;
    display: flex;
    gap: 0;
    flex-direction: column;
    z-index: 10;

    opacity: 0;
    transform: translateY(-8px);
    pointer-events: none;
    transition: opacity 0.25s ease, transform 0.25s ease;
}

.option-group-text-dropdown > div:last-child > div {
    padding: 20px;
    font-size: 15px;
    cursor: pointer;
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.option-group-text-dropdown.open > div:last-child {
    opacity: 1;
    transform: translateY(0);
    pointer-events: auto;
    max-height: 400px;
    overflow-y: scroll;
}

.option-group-text-dropdown.open > div:first-child::after {
    transform: translateY(-50%) rotate(180deg);
}

.option-group-text-image-line {
    display: flex;
    flex-direction: column;
    gap: 10px;
}

.option-group-text-image-line > div {
    border: 1px solid #e6e8ea;
    padding: 7.5px;
    font-size: 14px;
    display: flex;
    gap: 10px;
    align-items: center;
    border-radius: 8px;
    cursor: pointer;
}

.option-group-text-image-line .et-icon {
    margin-left: auto;
    margin-right: 10px;
}

.option-group-text-image-line > div:hover, .option-group-text-image-line > div.chosen {
    border-color: #000;
}

.option-group-text-image-line img {
    width: 50px;
    height: 50px;
    object-fit: contain;
    border-radius: 8px;
}


.option-group-text-image-block, .option-group-image, .color-specific-chooser {
    display: flex;
    flex-wrap: wrap;
    gap: 16px;
    text-align: center;
    color: black;
}

.option-group-text-image-block > div, .option-group-image > div, .color-specific-chooser > div {
    /* width: calc(25% - 8px); */
    width: 85px;
    display: flex;
    flex-direction: column;
    gap: 5px;
    align-items: center;
    cursor: pointer;
    position: relative;
}

.option-group-text-image-block > div span:first-child {
    /* width: 100%; */
}

.option-group-text-image-block > div img, .option-group-image > div img, .color-specific-chooser > div img {
    width: 100%;
    height: 85px;
    object-fit: contain;
    border-radius: 8px;
    box-sizing: border-box;
}

.option-group-text-image-block > div img, .option-group-image > div img, .color-specific-chooser > div img {
    outline: 1px solid #c5c7c9;
}

.option-group-text-image-block > div:hover img, .option-group-text-image-block > div.chosen img, .option-group-image > div:hover img, .option-group-image > div.chosen img, .color-specific-chooser > div:hover img, .color-specific-chooser > div.chosen img {
    outline: 1px solid #000;
}

.option-group-text-image-block > div .et-icon, .option-group-image > div .et-icon, .color-specific-chooser > div .et-icon {
    position: absolute;
    top: -6px;
    right: -6px;
}

.option-group-text-image-block .option-title {
    font-size: 13px;
}

.option-group-color {
    display: flex;
    flex-direction: column;
    gap: 17.5px;
}

.color-main-chooser {
    display: flex;
    gap: 10px;
    flex-wrap: wrap;
}

.color-main-chooser > div {
    position: relative;
    width: 50px;
    height: 50px;
    padding: 7px;
    border-radius: 50%;
    box-sizing: border-box;
    border: 1px solid #e6e8ea;
    cursor: pointer;
}

.color-main-chooser > div:hover, .color-main-chooser > .chosen {
    border-color: black;
}

.color-main-chooser > div > div {
    width: 100%;
    height: 100%;
    border-radius: 50%;
}

/* echo '<option value="anthracite" '.selected($main_color,'anthracite',false).'>Antraciet</option>';
echo '<option value="beige" '.selected($main_color,'beige',false).'>Beige</option>';
echo '<option value="blue" '.selected($main_color,'blue',false).'>Blauw</option>';
echo '<option value="brown" '.selected($main_color,'brown',false).'>Bruin</option>';
echo '<option value="grey" '.selected($main_color,'grey',false).'>Grijs</option>';
echo '<option value="green" '.selected($main_color,'green',false).'>Groen</option>';
echo '<option value="purple" '.selected($main_color,'purple',false).'>Paars</option>';
echo '<option value="red" '.selected($main_color,'red',false).'>Rood</option>';
echo '<option value="off-white" '.selected($main_color,'off-white',false).'>Gebroken wit</option>'; */

.color-main-chooser .anthracite {
    background-color: #383e42;
}

.color-main-chooser .beige {
    background-color: #e8e4d5;
}

.color-main-chooser .blue {
    background-color: #5a7388;
}

.color-main-chooser .brown {
    background-color: #6f4e37;
}

.color-main-chooser .grey {
    background-color: #929699;
}

.color-main-chooser .green {
    background-color: #4b4c35;
}

.color-main-chooser .purple {
    background-color: #784a4e;
}

.color-main-chooser .red {
    background-color: #a6443e;
}

.color-main-chooser .off-white {
    background-color: #faf9f6;
}

.color-chosen-preview p {
    margin-bottom: 10px;
}

.color-chosen-preview img {
    width: 100%;
    max-height: 300px;
    border-radius: 8px;
    object-fit: cover;
}

.color-main-chooser .et-icon {
    display: none;
    position: absolute;
    top: 0;
    right: 0;
}

.color-main-chooser .chosen .et-icon {
    display: block;
}

.color-specific-chooser .color-filtered-hidden {
    display: none;
}

.configurator-stock {
    margin-top: 40px;
    padding-top: 26.3px;
    border-top: 1px solid #e6e8ea;
}

.configurator-summary {
    display: flex;
    align-items: center;
    /* margin-top: 40px; */
    /* padding: 26.3px 0; */
    padding-bottom: 26.3px;
    /* border-top: 1px solid #e6e8ea; */
}

.configurator-summary .summary-price {
    margin-right: auto;
    font-size: 20px;
    color: black;
}

.configurator-summary .add-to-cart-button {
    background: linear-gradient(0deg, #542F27 30%, #8E6558 100%);
    border-radius: 8px;
    color: #fff;
    border: none;
    padding: 12px 24px;
    font-size: 15px;
    cursor: pointer;
}

.configurator-summary .add-to-cart-button:hover {
    opacity: 0.82;
}

@media (max-width: 575px) {
    .configurator-summary {
        flex-direction: column;
        gap: 10px;
        align-items: stretch;
    }

    .configurator-summary > div:nth-child(2) {
        /* align-self: stretch; */
    }

    .configurator-summary .add-to-cart-button {
        width: 100%;
    }
}

.configurator .et-icon {
    background: #542F27;
    color: white;
    border-radius: 50%;
    padding: 2px;
}

.configurator-gallery {
    /* position: relative; */
    overflow: hidden;
}

.slider-track {
    display: flex;
    transition: transform 0.4s ease;
}

.slide {
    min-width: 100%;
    max-width: 100%;
    flex-shrink: 0;
}

.slide img {
    width: 100%;
    display: block;
}

.slider-arrow {
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    /* background: rgba(0,0,0,0.5); */
    background: transparent;
    border: none;
    /* padding: 10px 15px; */
    padding: 0;
    font-size: 22px;
}

.slider-arrow.prev {
    /* left: 10px; */
    left: 25px;
}

.slider-arrow.next {
    /* right: 10px; */
    right: 25px;
}

.slider-arrow:hover {
    /* background: rgba(0,0,0,0.8); */
}

.slider-arrow .et-chevron-left::before {
    position: relative;
    right: 1px;
    bottom: 0.95px;
}

.slider-arrow .et-chevron-right::before {
    position: relative;
    left: 1px;
    bottom: 0.95px;
}

@media (max-width: 768px) {
    .configurator {
        flex-direction: column;
        /* height: auto; */
    }

    body.admin-bar .configurator {
        /* height: auto; */
    }

    .configurator-view {
        flex: 1 1 30%;
        /* flex: 1; */
        /* min-height: 0; */
    }

    .configurator-options {
        flex: 2 1 70%;
        /* flex: 1; */
        /* min-height: 0; */
    }

    .slide {
        flex-shrink: initial;
    }
}

.content-single-product-configurator.et-product-layout-no-padding .woocommerce-product-gallery__wrapper img {
    border-radius: 0;
}

.content-single-product-configurator.et-product-detail.et-product-layout-no-padding .showcase-inner .product-information {
    padding-right: 30px;
}

.content-single-product-configurator.et-product-detail:not(.et-product-layout-full-width) .product-showcase:not(.showcase-active) .product-information .entry-summary {
    max-width: 100%;
    padding-right: 45px;
}

@media (max-width: 991px) {
    .content-single-product-configurator.et-product-detail:not(.et-product-layout-full-width) .product-showcase:not(.showcase-active) .product-information .entry-summary {
        padding-right: 0;
    }
}

.content-single-product-configurator .configurator-options {
    flex: initial;
    padding: 0;
    overflow: initial;
    min-width: initial;
}

.content-single-product-configurator .configurator-options-scroll {
    flex: initial;
    overflow-y: initial;
    padding: 0;
    scrollbar-width: initial;
}

.content-single-product-configurator .configurator-options .et-icon {
    background: #542F27;
    color: white;
    border-radius: 50%;
    padding: 2px;
}

.content-single-product-configurator .post-share {
    margin-top: 0;
}

.has-configurator .woocommerce-product-gallery__wrapper a {
    height: 100%;
}

.has-configurator .woocommerce-product-gallery__wrapper img {
    height: 100%;
    object-fit: cover;
}

.configurator-product-information .product-usps {
    display: flex;
    flex-direction: column;
    gap: 5px;
    margin-bottom: 40px;
    color: black;
}

.configurator-product-information .product-usps svg {
    margin-right: 4px;
    color: #542F27;
}

.configurator-product-information .entry-content {
    font-size: 15px;
    color: black;
}

.et-product-detail .summary.configurator-product-information h1 {
    margin-bottom: 0;
}

.et-product-detail .summary.configurator-product-information .price-separator {
    margin-bottom: 20px;
}

.has-configurator .et-product-detail.et-product-layout-no-padding .product-showcase {
    padding-bottom: 40px;
}

.has-configurator .et-product-detail.et-product-layout-no-padding .product-showcase {
    margin-bottom: 40px;
}

body.modal-open {
    overflow: hidden;
    touch-action: none;
}

.product-configurator-modal {
    position: fixed;
    width: 100%;
    height: 100%;
    inset: 0;
    background-color: rgba(0, 0, 0, 0.25);
    /* display: flex;
    justify-content: center;
    align-items: center; */
    /* z-index: 603; */
    /* temp z-index */
    z-index: 999999;
    pointer-events: none;
    opacity: 0;
    backdrop-filter: blur(1px);
    transition: opacity 0.3s ease;
}

.product-configurator-modal.open {
    pointer-events: auto;
    opacity: 1;
}

.product-configurator-modal-content {
    position: absolute;
    top: 0;
    right: 0;
    height: 100%;
    width: 33%;
    /* overflow-y: auto; */
    background-color: white;
    box-shadow: -10px 0 30px rgba(0,0,0,0.2);
    transform: translateX(100%);
    transition: transform 0.3s ease;
    overscroll-behavior: contain;
}

@media (max-width: 1000px) {
    .product-configurator-modal-content {
        width: 50%;
    }
}

@media (max-width: 767px) {
    .product-configurator-modal-content {
        width: 100%;
    }
}

.product-configurator-modal-close {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 20px 40px;
    border-bottom: 1px solid #e6e8ea;
}

.product-configurator-modal-close h2 {
    margin-bottom: 0;
    font-size: 20px;
}

.product-configurator-modal-close button {
    width: 40px;
    height: 40px;
    border: none;
    border-radius: 50%;
    background: rgba(0, 0, 0, 0.05);
    color: #333;
    font-size: 22px;
    cursor: pointer;
    transition: all 0.2s ease;
}

.product-configurator-modal-close button:hover {
    background: rgba(0, 0, 0, 0.1);
    transform: scale(1.1);
}

.product-configurator-modal-scroll {
    height: 100%;
    overflow-y: auto;
    padding: 20px 40px 80px 40px;
}

.product-configurator-modal-info > div {
    display: flex;
    flex-direction: column;
    gap: 16px;
}

.product-configurator-modal-info img {
    width: 100%;
    border-radius: 8px;
    margin-bottom: 15px;
    outline: 1px solid #c5c7c9;
}

.modal-info-title {
    font-size: 16px;
    font-weight: 500;
    color: black;
}

.modal-info-description {
    font-size: 15px;
    color: #000000CC;
}

.product-configurator-modal-info p {
    margin-bottom: 15px;
}

.product-configurator-modal-info h3 {
    margin-bottom: 8px;
    font-size: 16px;
}

@media (max-width: 767px) {
    .product-configurator-modal-info h3 {
        font-size: 14px;
    }
}

.product-configurator-modal.open .product-configurator-modal-content {
    transform: translateX(0);
}

.configurator-cart-items {
    display: flex;
    flex-direction: column;
    gap: 10px;
}

.configurator-cart-label {
    font-size: 13px;
    font-weight: 500;
    /* color: #282828; */
    color: black;
}

.configurator-cart-value {
    font-size: 13px;
}

.configurator-cart-value span {
    font-weight: 500;
    color: black;
}

.quantity-mattress-upsell .plus-mattress-upsell, .quantity-mattress-upsell .minus-mattress-upsell {
    display: flex;
    outline: 0;
    justify-content: center;
    align-items: center;
    border: 0;
    width: 30px;
    height: 30px;
    border-radius: 50%;
    text-decoration: none;
    overflow: visible;
    text-decoration: none;
    cursor: pointer;
    -moz-user-select: -moz-none;
    -ms-user-select: none;
    -webkit-user-select: none;
    user-select: none;
    -webkit-transition: background 0.3s cubic-bezier(0.23, 1, 0.32, 1);
    transition: background 0.3s cubic-bezier(0.23, 1, 0.32, 1);
}

.quantity-mattress-upsell .plus-mattress-upsell:hover, .quantity-mattress-upsell .minus-mattress-upsell:hover {
    background: rgba(0,0,0,0.05);
    color: #333;
}

.quantity-mattress-upsell .plus-mattress-upsell svg, .quantity-mattress-upsell .minus-mattress-upsell svg {
    width: 16px;
    height: 16px;
}

@media only screen and (min-width: 576px) {
  .quantity-mattress-upsell {
    margin-right: 10px;
    display: inline-flex;
  }
}

.quantity-mattress-upsell {
    display: inline-flex;
    margin-right: 10px;
    border-radius: 8px;
    /* height: auto; */
    width: 104px;
    border: 2px solid rgba(0,0,0,0.1);
    /* border-radius: 3px; */
    background: #fff;
    /* height: calc(2.15em + .975rem + 4px); */
    height: calc(1.6 * 14px + 25px + 2px);
    position: relative;
    justify-content: center;
    align-items: center;
}

.quantity-mattress-upsell .qty-mattress-uppell {
    padding: 0;
    width: 20%;
    min-width: 30px;
    max-height: 24px;
    text-align: center;
    border: 0;
    color: #282828;
    outline: 0;
    -webkit-appearance: none;
    background: transparent;
    -moz-appearance: textfield;
}

.cart-upsell-header {
    display: flex;
    justify-content: space-between;
    align-items: center;
    margin-bottom: 20px;
}

.cart-upsell-header h3 {
    margin-bottom: 8px;
    font-size: 15px;
    font-weight: 500;
    color: black;

}

.cart-upsell-header p {
    color: black;
}

.cart-upsell-header .woocommerce-Price-amount.amount {
    font-weight: bold;
}

.cart-upsell-header > div:first-child {
    width: 70%;
}

.cart-upsell-content {
    max-height: 0;
    overflow: hidden;
    opacity: 0;
    transition: max-height 0.5s ease, opacity 0.5s ease;
}

.cart-mattress-upsell {
    padding: 20px;
    border-radius: 8px;
    background-color: #F5F5F5;
}

.cart-mattress-upsell.active .cart-upsell-content {
    max-height: 500px;
    opacity: 1;
}

.upsell-description {
    margin-bottom: 10px;
    font-size: 15px;
    font-weight: 500;
    color: black;
}

.upsell-options {
    display: flex;
    gap: 60px;
}

.upsell-title {
    margin-bottom: 5px;
    font-size: 15px;
    font-weight: 500;
}

.quantity-input {
    display: flex;
    align-items: center;
}

.button.toggle-upsell, .button.add-upsell {
    border: none;
    border-radius: 8px;
    background: linear-gradient(0deg, #542F27 30%, #8E6558 100%);
}

@media (max-width: 767px) {
    .cart-upsell-header {
        flex-direction: column;
        align-items: flex-start;
        gap: 15px;
    }

    .cart-upsell-header > div:first-child {
        width: 100%;
    }

    .upsell-options {
        flex-direction: column;
        gap: 20px;
    }

    .cart-mattress-upsell {
        margin-bottom: 20px;
    }
}

.product-certifications-tab {
    display: grid;
    grid-template-columns: 1fr 4fr;
    gap: 50px;
}

.product-certifications-tab :is(h1, h2, h3) {
    margin-top: 0;
}

.product-certifications-title {
    margin-top: 20px;
    margin-bottom: 0;
    font-size: 16px;
    color: black;
}

.product-certifications {
    display: flex;
    gap: 16px;
    flex-wrap: wrap;
    align-items: center;
    margin: 10px 0 40px 0;
}

.certification-item-image {
    width: 75px;
}

.certification-text p {
    margin-bottom: 16px;
}

@media (max-width: 767px) {
    .product-certifications-tab {
        gap: 10px;
    }
}

.wishlist-items-wrapper .product-stock-status {
    display: none;
}

.payment_box.payment_method_deposit {
    display: block !important;
}

.cart-totals-delivery {
    margin-top: 35px;
    padding: 26px 28px;
    border: 1px solid #eae6e1;
    border-top: 3px solid #542F27;
    border-radius: 8px;
    background: #f5f5f5;
}

.cart-collaterals .cart-totals-delivery > div {
    display: flex;
    gap: 5px;
    align-items: center;
    margin-bottom: 15px;
}

.cart-collaterals .cart-totals-delivery h3 {
    height: auto;
    font-size: 17px;
    font-weight: 500;
    color: #542F27;
}

.cart-collaterals .cart-totals-delivery p {
    margin-bottom: 0;
    color: black;
}

.cart-collaterals .cart-totals-delivery p:last-child {
    margin-top: 15px;
    padding-top: 15px;
    border-top: 1px solid #eae6e1;
}

.cart-collaterals .cart-totals-delivery strong {
    font-weight: 500;
    color: #542F27;
}
